## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBSpline Class Reference
[Geometry utilities]

A B-spline. More...

`#include <csgeom/spline.h>`

Inheritance diagram for csBSpline:

[legend]
List of all members.

## Public Member Functions

virtual void | Calculate (float time)
| Calculate internal values for this spline given some time value.
| csBSpline (int d, int p)
| Create a B-spline with d dimensions and p points.
virtual float | GetInterpolatedDimension (int dim) const
| After calling Calculate() you can use this to fetch the value of some dimension.
virtual | ~csBSpline ()
| Destroy the spline.

## Protected Member Functions

virtual float | BaseFunction (int i, float t) const
| Base function for a cubic B-spline (i=-2..1).

## Detailed Description

A B-spline.

Definition at line 187 of file spline.h.

## Constructor & Destructor Documentation

csBSpline::csBSpline | ( | int | d,
|  | int | p |
| ) |  |  |

Create a B-spline with d dimensions and p points.

virtual csBSpline::~csBSpline | ( |  | ) | `[virtual]`

Destroy the spline.

## Member Function Documentation

virtual float csBSpline::BaseFunction | ( | int | i,
|  | float | t |
| ) |  |  | const`[protected, virtual]`

Base function for a cubic B-spline (i=-2..1).

Reimplemented in csCatmullRomSpline.

virtual void csBSpline::Calculate | ( | float | time | ) | `[virtual]`

Calculate internal values for this spline given some time value.

Implements csSpline.

virtual float csBSpline::GetInterpolatedDimension | ( | int | dim | ) | const`[virtual]`

After calling Calculate() you can use this to fetch the value of some dimension.

Implements csSpline.

The documentation for this class was generated from the following file:

- csgeom/spline.h